Loading...
Searching...
No Matches
tgb.h File Reference
`#include "polys/monomials/ring.h"`
`#include "kernel/structs.h"`

Go to the source code of this file.

## Functions

ideal | t_rep_gb (const ring r, ideal arg_I, int syz_comp, BOOLEAN F4_mode=FALSE)

## Function Documentation

## t_rep_gb()

ideal t_rep_gb | ( | const ring | r,
|  | ideal | arg_I,
|  | int | syz_comp,
|  | BOOLEAN | F4_mode = FALSE )

Definition at line 3581 of file tgb.cc.

{
assume (r == currRing);
ring orig_ring = r;
int pos;
ring new_ring = rAssure_TDeg (orig_ring, pos);
ideal s_h;
if(orig_ring != new_ring)
{
rChangeCurrRing (new_ring);
s_h = idrCopyR_NoSort (arg_I, orig_ring, new_ring);
/*int i;
for(i=0;i<IDELEMS(s_h);i++)
{
poly p=s_h->m[i];
while(p)
{
p_Setm(p,new_ring);
pIter(p);
}
} */
}
else
{
s_h = id_Copy (arg_I, orig_ring);
}
idTest (s_h);
ideal s_result = do_t_rep_gb (new_ring, s_h, syz_comp, F4_mode, pos);
ideal result;
if(orig_ring != new_ring)
{
idTest (s_result);
rChangeCurrRing (orig_ring);
result = idrMoveR_NoSort (s_result, new_ring, orig_ring);
idTest (result);
//rChangeCurrRing(new_ring);
rDelete(new_ring);
//rChangeCurrRing(orig_ring);
}
else
result = s_result;
idTest (result);
return result;
}
result
return result
Definition facAbsBiFact.cc:76
id_Copy
ideal id_Copy(ideal h1, const ring r)
copy an ideal
Definition simpleideals.cc:542
idTest
#define idTest(id)
Definition ideals.h:47
assume
#define assume(x)
Definition mod2.h:389
rChangeCurrRing
void rChangeCurrRing(ring r)
Definition polys.cc:16
currRing
VAR ring currRing
Widely used global variable which specifies the current polynomial ring for Singular interpreter and ...
Definition polys.cc:13
idrMoveR_NoSort
ideal idrMoveR_NoSort(ideal &id, ring src_r, ring dest_r)
Definition prCopy.cc:261
idrCopyR_NoSort
ideal idrCopyR_NoSort(ideal id, ring src_r, ring dest_r)
Definition prCopy.cc:205
rAssure_TDeg
ring rAssure_TDeg(ring r, int &pos)
Definition ring.cc:4619
rDelete
void rDelete(ring r)
unconditionally deletes fields in r
Definition ring.cc:454
do_t_rep_gb
ideal do_t_rep_gb(ring, ideal arg_I, int syz_comp, BOOLEAN F4_mode, int deg_pos)
Definition tgb.cc:3629